#
# spec file for package ti99sim
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ti99sim
Version:        0.12.1
Release:        1.21
Summary:        A Texas Instruments TI-99/4A Home Computer Emulator
License:        GPL-2.0+
Group:          System/Emulators/Others
Url:            http://www.mrousseau.org/programs/ti99sim/
Source0:        http://www.mrousseau.org/programs/ti99sim/archives/%{name}-%{version}.src.tar.gz
Source1:        ti99sim.png
BuildRequires:  gcc-c++
BuildRequires:  libSDL-devel
BuildRequires:  libopenssl-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An emulator for the Texas Instruments TI-99/4A Home Computer.
It features full sound speech emulation and supports emulation
of the Gram Kracker™, TI-Disk system and 32K Memory expansion unit.

Note: In order to run the emulator, you need to create a cartridge
that contains the console ROM & GROMs from the TI.
Texas Instruments will not allow these to be distributed,
so you'll need to find a way to get them yourself.

%prep
%setup -q

%build
make  %{?_smp_mflags} OS=OS_LINUX

%install
mkdir -p  %{buildroot}%{_bindir}
cp -p src/sdl/Release/%{name}-sdl %{buildroot}%{_bindir}/
cp -p src/console/Release/%{name}-console %{buildroot}%{_bindir}/
cp -p src/util/Release/convert-ctg %{buildroot}%{_bindir}/
cp -p src/util/Release/decode %{buildroot}%{_bindir}/
cp -p src/util/Release/disk %{buildroot}%{_bindir}/
cp -p src/util/Release/dumpcpu %{buildroot}%{_bindir}/
cp -p src/util/Release/dumpgrom %{buildroot}%{_bindir}/
cp -p src/util/Release/dumpspch %{buildroot}%{_bindir}/
cp -p src/util/Release/list %{buildroot}%{_bindir}/
cp -p src/util/Release/mkspch %{buildroot}%{_bindir}/
cp -p src/util/Release/say %{buildroot}%{_bindir}/

mkdir -p  %{buildroot}%{_datadir}/%{name}/cartridges
mkdir -p  %{buildroot}%{_datadir}/%{name}/disks
mkdir -p  %{buildroot}%{_datadir}/%{name}/roms

mkdir -p  %{buildroot}%{_docdir}/%{name}
cp -p doc/* %{buildroot}%{_docdir}/%{name}

install -Dm 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -c %{name} %{name} 'TI99/4A Emulator' %{name}-sdl %{name} 'System;Emulator;'

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}-sdl
%{_bindir}/%{name}-console
%{_bindir}/convert-ctg
%{_bindir}/decode
%{_bindir}/disk
%{_bindir}/dumpcpu
%{_bindir}/dumpgrom
%{_bindir}/dumpspch
%{_bindir}/list
%{_bindir}/mkspch
%{_bindir}/say
%{_datadir}/%{name}
%{_docdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Jan 24 2016 kieltux@gmail.com
- Update to version 0.12.1
  * Changed version number format
  * Fix: Add check for valid Gram Kracker pointer before
    dereferencing it
  * Fix: Removed check for file existence in convert-ctg
  * Added ability to copy disks to/from CF7+ a disk image using
    disk
  * Added handling of 80 sector disk images in disk
  * Better handling of disk images with bad/corrupted file
    descriptors in disk
  * Reworked video rendering code to fix crashes when resizing the
    window in ti99sim-sdl
  * Added CF7+ disk I/O support (no serial/parallel port support)
    to ti99sim-sdl and ti99sim-console
  * Added Black & White display mode to ti99sim-sdl
  * Added ability to specify external files when converting
    listing type files (*.lst/*.dat) with convert
  * Increase number of ROM banks supported from 4 to 16
  * Fixed code to not force speech synthesizer emulation
  * Rewrote opcode lookup code and clean up memory access clock
    penalty logic
  * Fixed code to explicitly use signed characters where
    appropriate (Fixes bug on Raspberry Pi)
  * Added more information to verbose display of disk
  * Added support for MERGE format and large Extended BASIC
    programs to list
  * Fixed support for 15-bit and 25-bit graphics modes
  * Handle native files in filesystem code (allows list and
    dumpcpu to work with files exported with disk using --convert)
  * Handle uncompressed archive files
- added Requires: libopenssl-devel
* Tue Nov  4 2014 kieltux@gmail.com
- Initial package
